import type { RedocConfig } from '@redocly/config';
import type { CodeSamplesConfig } from '../code-samples/index.js';
export declare function normalizeShowExtensions(value: RedocConfig['showExtensions']): string[] | boolean;
export declare function normalizeScrollYOffset(value: RedocConfig['scrollYOffset']): () => number;
export declare function normalizeCodeSamples(value?: RedocConfig['codeSamples']): CodeSamplesConfig;
